MBSINIT(3)

NAME
mbsinit, mbsinit_l - determine conversion object status

LIBRARY
libc

SYNOPSIS
#include <wchar.h>
int
mbsinit(const mbstate_t *ps);
#include <wchar.h>
#include <xlocale.h>
int
mbsinit_l(const mbstate_t *ps, locale_t loc);

DESCRIPTION
The mbsinit() function determines whether the mbstate_t object pointed to by ps describes an initial conversion state.

While the mbsinit() function uses the current locale, the mbsinit_l() function may be passed a locale directly. See xlocale(3) for more information.

RETURN VALUES
The mbsinit() function returns non-zero if ps is NULL or describes an initial conversion state; otherwise, it returns zero.

SEE ALSO
mbrlen(3), mbrtowc(3), mbsrtowcs(3), multibyte(3), wcrtomb(3), wcsrtombs(3), xlocale(3)

STANDARDS
The mbsinit() function conforms to isoC-99.